
<div  class="column20", id="users">
  <%= render 'users' %>
</div>

<div class="column80" id="message">
  <% if params[:user_id].present? %>
    <div style="padding: 5px; background-color: #00599D; color: #ffff"><%= @user.name %></div>
    <%= form_for :message, url: staff_messages_path(user_id: @user.id), remote: true do |f| %>
    <%= f.error_messages %>

      <div class="messagebox">
        <div style="height: 500px; overflow: auto;" id="messages">
          <%= render 'messages' %>
        </div>
        <div style="margin-top: 10px;">
          <%= f.submit "Comment", :type => :image, :src => asset_path("right-arrow.png"), style: "width: 25px; float: right; margin-top: 6px;" %>

          <div style="padding-right: 30px;">
            <%= f.text_field :text, placeholder: "type here...", style: "width: 100%; padding: 10px;" %>
          </div>
        </div>
      </div>
    <% end %>
  <% else %>
    <div class="messagebox" style="height: 500px;">
       <h3 style="text-align: center; margin-top: 200px; color: #555;"> Choose a user from the list</h3>
    </div>
  <% end %>
</div>

<div class="clear-height">
</div>

<style type="text/css">
  .page-container-inner {
    padding: 0;
  }
</style>

<% if params[:user_id].present? %>
<script>
  var scrollMessagesWindow = function(){
    var firstUnreadMessage = $('.unread')[0];
    if(firstUnreadMessage) {
      firstUnreadMessage.scrollIntoView();
    } else {
      var messagesContainer = $("#messages");
      messagesContainer.scrollTop(messagesContainer.prop('scrollHeight'));
    }
  };

  $(document).ready(function(){
    window.clearInterval(window.refreshMessagesInterval);
    window.refreshMessagesInterval = window.setInterval(function(){
      $.ajax('/staff/messages/get_messages?user_id=<%= @user.id %>');
    }, 10000);

    scrollMessagesWindow();
  });
</script>
<% end %>

<script>
  $(document).ready(function(){
    window.clearInterval(window.refreshUsersInterval);
    window.refreshUsersInterval = window.setInterval(function(){
      $.ajax('/staff/messages/get_users');
    }, 10000);
  });
</script>

